Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163603 - 10-wacom.rules does not generate the expected /dev/input/wacom simlink
Summary: 10-wacom.rules does not generate the expected /dev/input/wacom simlink
Keywords:
Status: CLOSED DUPLICATE of bug 196923
Alias: None
Product: Fedora
Classification: Fedora
Component: linuxwacom
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aristeu Rozanski
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-19 13:23 UTC by Edward Grace
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-05 23:00:22 UTC


Attachments (Terms of Use)

Description Edward Grace 2005-07-19 13:23:25 UTC
Description of problem:
10-wacom.rules does not generate the expected /dev/input/wacom simlink when the
USB tablet is inserted.  Coupled with the /dev/input/event* device not being
predictable this can cause difficulties in /etc/X11/xorg.conf since the expected
X input device cannot be guarenteed to match the device that the USB tablet
actually appears as.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4
linuxwacom-0.6.6-5


How reproducible:
Always

Steps to Reproduce:
1. Use kernel kernel-2.6.12-1.1398_FC4
2. ls -la /dev/input, will get something like
   event0
   event1
   mice
   mouse0
3. Plug in Wacom Intuos 3 USB tablet
4. ls -la /dev/input, will now see something like
   event0
   event1
   event2
   mice
   mouse0
   mouse1
   
Expected results:
4. ls -la /dev/input should yield a symlink such as 
   wacom1->event2


Additional info:

Repeated plugging and unplugging of the device can cause the event device that
the wacom tablet is attached to to be event2 or event3.  This means that if the
input device is hard coded in xorg.conf it will go wrong. 

The symlink should be set up by the 10-wacom.rules to ensure that
/dev/input/wacom? is always pointing at the right place.

Looking at

cat /proc/bus/usb/devices the Wacom tablet appears as the following

T:  Bus=02 Lev=01 Prnt=01 Port=02 Cnt=01 Dev#=  6 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=056a ProdID=00b2 Rev= 1.02
S:  Manufacturer=Tablet
S:  Product=PTZ-930
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=300mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=wacom
E:  Ad=81(I) Atr=03(Int.) MxPS=  10 Ivl=4ms

Clearly the correct driver is being used (wacom) however the Manufacturer and
Product fields are incorrect.  It is probably this that is preventing the
10-wacom.rules from recognising it and generating the correct symlink.

Solution:

As a hack the following rule works.

# udev rule to create /dev/input/wacomN for wacom tablets

KERNEL="event*", SYSFS{manufacturer}="Tablet", NAME="input/%k",
SYMLINK="input/wacom%e"


Where the manufacturer field now matches the (incorrect) manufacturer field
reported by /proc/bus/usb/devices

Comment 1 Christian Iseli 2007-01-22 11:27:42 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Stefan Orbilt 2007-06-08 18:08:36 UTC
This bug is a duplicate of bug 196923. I don't know how to mark a bug as a
duplicate though. 

Comment 3 Christian Iseli 2007-07-05 23:00:22 UTC

*** This bug has been marked as a duplicate of 196923 ***


Note You need to log in before you can comment on or make changes to this bug.